Package org.apache.tools.ant.util

# Class TaskLogger

java.lang.Object
org.apache.tools.ant.util.TaskLogger

    public final class TaskLogger
    extends java.lang.Object

A facade that makes logging nicer to use.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `TaskLogger​(Task task)` | Constructor for the TaskLogger

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `debug​(java.lang.String message)` | Log a message with `MSG_DEBUG` priority
  `void` | `error​(java.lang.String message)` | Log a message with `MSG_ERR` priority
  `void` | `info​(java.lang.String message)` | Log a message with `MSG_INFO` priority
  `void` | `verbose​(java.lang.String message)` | Log a message with `MSG_VERBOSE` priority
  `void` | `warning​(java.lang.String message)` | Log a message with `MSG_WARN` priority

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TaskLogger

    public TaskLogger​(Task task)
    Constructor for the TaskLogger
    Parameters:
      `task` - the task

- ## Method Details

  - ### info

    public void info​(java.lang.String message)
    Log a message with `MSG_INFO` priority
    Parameters:
      `message` - the message to log

  - ### error

    public void error​(java.lang.String message)
    Log a message with `MSG_ERR` priority
    Parameters:
      `message` - the message to log

  - ### warning

    public void warning​(java.lang.String message)
    Log a message with `MSG_WARN` priority
    Parameters:
      `message` - the message to log

  - ### verbose

    public void verbose​(java.lang.String message)
    Log a message with `MSG_VERBOSE` priority
    Parameters:
      `message` - the message to log

  - ### debug

    public void debug​(java.lang.String message)
    Log a message with `MSG_DEBUG` priority
    Parameters:
      `message` - the message to log